rake aborted! no such file to load — initializer となる

Pocket
LINEで送る

この記事の所要時間: 451

rvm を使ってたのでハマりました。
以下のようなエラーメッセージが出ます。

$ rake --tasks
rake aborted!
no such file to load -- initializer

--trace をつけて詳細を調べてみます。

$ rake --tasks --trace
rake aborted!
no such file to load -- initializer
/home/wnoguchi/.rvm/rubies/ruby-1.9.2-p180/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:54:in `require'
/home/wnoguchi/.rvm/rubies/ruby-1.9.2-p180/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:54:in `require'
/home/wnoguchi/projects/icc/xxxxx-xxxxx/sandbox/xxxxx/config/boot.rb:54:in `load_initializer'
/home/wnoguchi/projects/icc/xxxxx-xxxxx/sandbox/xxxxx/config/boot.rb:38:in `run'
/home/wnoguchi/projects/icc/xxxxx-xxxxx/sandbox/xxxxx/config/boot.rb:11:in `boot!'
/home/wnoguchi/projects/icc/xxxxx-xxxxx/sandbox/xxxxx/config/boot.rb:109:in `'
/home/wnoguchi/.rvm/rubies/ruby-1.9.2-p180/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
/home/wnoguchi/.rvm/rubies/ruby-1.9.2-p180/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
/home/wnoguchi/projects/icc/xxxxx-xxxxx/sandbox/xxxxx/Rakefile:4:in `'
/home/wnoguchi/.rvm/gems/ruby-1.9.2-p180@xxxxx/gems/rake-0.9.2/lib/rake/rake_module.rb:25:in `load'
/home/wnoguchi/.rvm/gems/ruby-1.9.2-p180@xxxxx/gems/rake-0.9.2/lib/rake/rake_module.rb:25:in `load_rakefile'
/home/wnoguchi/.rvm/gems/ruby-1.9.2-p180@xxxxx/gems/rake-0.9.2/lib/rake/application.rb:495:in `raw_load_rakefile'
/home/wnoguchi/.rvm/gems/ruby-1.9.2-p180@xxxxx/gems/rake-0.9.2/lib/rake/application.rb:78:in `block in load_rakefile'
/home/wnoguchi/.rvm/gems/ruby-1.9.2-p180@xxxxx/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'
/home/wnoguchi/.rvm/gems/ruby-1.9.2-p180@xxxxx/gems/rake-0.9.2/lib/rake/application.rb:77:in `load_rakefile'
/home/wnoguchi/.rvm/gems/ruby-1.9.2-p180@xxxxx/gems/rake-0.9.2/lib/rake/application.rb:61:in `block in run'
/home/wnoguchi/.rvm/gems/ruby-1.9.2-p180@xxxxx/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'
/home/wnoguchi/.rvm/gems/ruby-1.9.2-p180@xxxxx/gems/rake-0.9.2/lib/rake/application.rb:59:in `run'
/home/wnoguchi/.rvm/gems/ruby-1.9.2-p180@xxxxx/gems/rake-0.9.2/bin/rake:32:in `'
/home/wnoguchi/.rvm/gems/ruby-1.9.2-p180@xxxxx/bin/rake:19:in `load'
/home/wnoguchi/.rvm/gems/ruby-1.9.2-p180@xxxxx/bin/rake:19:in `
'

ruby-1.9.2 って出てます。ruby-1.8.7を使ってたつもりなのですが・・・。
使用する Ruby のバージョンを 1.8.7 にしたら直りました。

$ rvm use 1.8.7

投稿者紹介

株式会社ユニキャスト
私たちは、テクノロジに魅せられた個性あふれるメンバーによって構成された茨城県日立市に本社を構えるベンチャー企業です。
”テクノロジを通して「驚き」と「感動」を創造し、人々の「夢」と「笑顔」を支えます。” の経営理念をモットーに明るい未来を描き、ワクワクする企画提案を続けて参ります。

人気の記事

コメント

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

PAGE TOP

%d人のブロガーが「いいね」をつけました。